com.aspose.omr

## Class Dimension2D.Float

- java.lang.Object
- - java.awt.geom.Dimension2D
  - - com.aspose.omr.Dimension2D
    - - com.aspose.omr.Dimension2D.Float

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    Dimension2D

      public static class Dimension2D.Float
      extends Dimension2D

  Represents a single-precision dimension.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aspose.omr.Dimension2D

      `Dimension2D.Float`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `height` The height dimension; negative values can be used.
    `float` | `width` The width dimension; negative values can be used.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dimension2D.Float()` Constructs and initializes a `Dimension2D.Float`.
    `Dimension2D.Float(Dimension2D.Float dimension)` Constructs and initializes a `Dimension2D.Float` from another one.
    `Dimension2D.Float(float width, float height)` Constructs and initializes a `Dimension2D.Float` of the specified size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Checks whether two dimension objects have equal values.
    `double` | `getHeight()` Returns the height of this `Dimension` in double precision.
    `double` | `getWidth()` Returns the width of this `Dimension` in double precision.
    `int` | `hashCode()` Returns a hash code value for the object.
    `void` | `setSize(double width, double height)` Sets the size of this `Dimension` object to the specified width and height.
    `String` | `toString()` Returns a string representation of the object.

    - ### Methods inherited from class java.awt.geom.Dimension2D

      `clone, setSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### height

          public float height

      The height dimension; negative values can be used.

    - #### width

          public float width

      The width dimension; negative values can be used.

  - ### Constructor Detail

    - #### Dimension2D.Float

          public Dimension2D.Float()

      Constructs and initializes a `Dimension2D.Float`.

    - #### Dimension2D.Float

          public Dimension2D.Float(Dimension2D.Float dimension)

      Constructs and initializes a `Dimension2D.Float` from another one.
      Parameters:
        `dimension` - The dimension to copy values from.

    - #### Dimension2D.Float

          public Dimension2D.Float(float width,
                           float height)

      Constructs and initializes a `Dimension2D.Float` of the specified size.
      Parameters:
        `width` - Width of the dimension
        `height` - Height of the dimension

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Checks whether two dimension objects have equal values.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare.
      Returns:
        `true` if this object is the same as the obj argument; `false` otherwise.

    - #### getHeight

          public double getHeight()

      Returns the height of this `Dimension` in double precision.
      Specified by:
        `getHeight` in class `Dimension2D`
      Returns:
        the height of this `Dimension`.

    - #### getWidth

          public double getWidth()

      Returns the width of this `Dimension` in double precision.
      Specified by:
        `getWidth` in class `Dimension2D`
      Returns:
        the width of this `Dimension`.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for this object.

    - #### setSize

          public void setSize(double width,
                     double height)

      Sets the size of this `Dimension` object to the specified width and height.
      Specified by:
        `setSize` in class `Dimension2D`
      Parameters:
        `width` - the new width for the `Dimension` object
        `height` - the new height for the `Dimension` object

    - #### toString

          public String toString()

      Returns a string representation of the object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

Copyright © 2014. All rights reserved.